Order Book
List of Orders placed for the account
Request to be POSTed to uri : /NorenWClientAPI/OrderBook
Request Details :
| Json Fields | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| prd | H / M / ... | Product name |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/OrderBook' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 33f5a445acef92ffaae09aeac3221786ac96a7b8d0e1e0337e1f56e065cfd72c' \
--data 'jData={"uid":"DEMO"}'
Response Details :
Response data will be in json Array of objects with below fields in case of success.
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Ok or Not_Ok | Order book success or failure indication. |
| exch | Exchange Segment | |
| tsym | Trading symbol / contract on which order is placed. | |
| norenordno | Noren Order Number | |
| prc | Order Price | |
| qty | Order Quantity | |
| mkt_protection | Market Protection percentage | |
| prd | Display product alias name, using prarr returned in user details. | |
| s_prdt_ali | Product display name | |
| status | Order status | |
| trantype | B / S | Transaction type of the order |
| prctyp | LMT / SL-LMT | Price type |
| fillshares | Total Traded Quantity of this order(will not be present if no trades for this order) | |
| avgprc | Average trade price of total traded quantity (will not be present if no trades for this order) | |
| rejreason | If order is rejected, reason in text form | |
| exchordid | Exchange Order Number | |
| cancelqty | Canceled quantity for order which is in status cancelled. | |
| remarks | Any message Entered during order entry. | |
| dscqty | Order disclosed quantity. | |
| trgprc | Order trigger price | |
| ret | DAY / IOC / EOS | Order validity |
| uid | Logged in User Id | |
| actid | Login users account ID | |
| bpprc | Book Profit Price applicable only if product is selected as B (Bracket order ) | |
| blprc | Book loss Price applicable only if product is selected as H and B (High Leverage and Bracket order ) | |
| trailprc | Trailing Price applicable only if product is selected as H and B (High Leverage and Bracket order ) | |
| amo | Yes / No | |
| pp | Price precision | |
| ti | Tick size | |
| ls | Lot size | |
| token | Contract Token | |
| norentm | Noren time stamp | |
| ordenttm | Order entry time | |
| exch_tm | Exchange update time Format: dd-mm-YYYY hh:MM:SS | |
| snoordt | 0 for profit leg and 1 for stoploss leg | |
| snonum | This field will be present for product H and B; and only if it is profit/sl order. | |
| sno_fillid | SNO fill id | |
| prcftr | Contract price factor (GNPN)/(GDPD), (used for order value calculation) | |
| mult | Contract price multiplier, (used for order value calculation) | |
| dname | Broker specific contract display name,present only if applicable. | |
| rqty | To be used in get margin from modify window. | |
| rprc | To be used in get margin from modify window. | |
| rtrgprc | To be used in get margin from modify window, for H/B products only | |
| rblprc | To be used in get margin from modify window, for H/B products only | |
| rorgqty | To be used in get margin from modify window. | |
| rorgprc | To be used in get margin from modify window. | |
| orgtrgprc | To be used in get margin from modify window, for H/B products only | |
| orgblprc | To be used in get margin from modify window, for H/B products only | |
| algo_name | Algo Name | |
| add_ord_id | Basket Order Id | |
| C | CUST_FIRM_C | |
| brnchid | Region id | |
| instname | Instrument Name | |
| ordersource | Order Source | |
| st_intrn | ||
| rejby | If an order is rejected, it will indicate from where it got rejected. | |
| src_uid | Source User Id |
Response data will be in json format with below fields in case of failure:
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Not_Ok | Order book failure indication. |
| request_time | Response received time. | |
| emsg | Error message |
Sample Success Response :
Success response :
[
{
"stat": "Ok",
"norenordno": "25121100000307",
"kidid": "2",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"tsym": "ACC-EQ",
"rejby": "",
"src_uid": "DEMO",
"qty": "1",
"ipaddr": "202.140.37.67",
"ordenttm": "1765445890",
"trantype": "B",
"prctyp": "LMT",
"ret": "DAY",
"rejreason": " ",
"token": "22",
"mult": "1",
"prcftr": "1.000000",
"instname": "EQ",
"ordersource": "WEB",
"symname": "ACC",
"cname": "ACC LIMITED",
"pp": "2",
"ls": "1",
"ti": "0.10",
"prc": "21474836.40",
"rprc": "1782.30",
"dscqty": "0",
"brnchid": "RMS",
"C": "C",
"s_prdt_ali": "CNC",
"prd": "C",
"status": "CANCELED",
"st_intrn": "CANCELED",
"norentm": "15:08:10 11-12-2025",
"exch_tm": "11-12-2025 15:08:10",
"remarks": "",
"exchordid": "252",
"cancelqty": "1",
"rqty": "1"
}
]
Sample Failure Response :
{
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}